Abyssal Celebrant Undrias:
The Shilen Temple is a cultural treasure, with a history of more than 2,000 years. In the days when our race lived underground, the Harnea of the Arachne race spun silver spider webs and protected the temple by spinning a curtain around it.
Here, all young Dark Elves undergo rites to receive Shilen's blessing before beginning their new lives as Dark Fighters or Dark Mystics.
Return